//Login//
$('.spinner-border').hide();
$('#TablaReImprimir').hide();

$('#saldos').hide();
$('#filtrosRe').hide();

$('#regresar').click(function(){
    window.location.href = '../index.html';
});

$('#saldos').click(function(){
    $('#TablaPrincipalFacturas').show();
	$('#TablaReImprimir').hide();
	$('#saldos').hide();
	$('#re-imprmir').show();
	$('#filtrosRe').hide();
});
$('#filtrarFechas').click(function(){
	var desde= $('#desde').val();
	var hasta = $('#hasta').val();
	
	alert("fechas actuales: "+desde + " - "+ hasta);
		var formData = new FormData();
		var ClienteCardCodeC = window.localStorage.getItem('customerID');
						
		$("#TablaListadoReimprimir").empty();
		var formData = new FormData();
		var ClienteCardCodeC = window.localStorage.getItem('customerID');
		formData.append('meth', 'getDocs');
		formData.append('id', ClienteCardCodeC);
		formData.append('fechaIni', desde);
		formData.append('fechaFin', hasta);
		
		$.ajax({
				url: 'http://10.238.26.69:8080/SPAGOS2/PHP/?meth=getDocs',
				type: 'POST',
				dataType: "json",
				cache: false,
				contentType: false,
				processData: false,
				data: formData,
				success: function(data) { 
					var affProdsLines = '';
					if(data.status == true){
						data.data.forEach(element => {
							console.log(element.FECHA);
							affProdsLines +=`<tr>
												<td>` + element.FECHA.date.substring(0,10) + `</td>
												<td>` + element.CODCLIENTE + `</td>
												<td>` + element.NOMBRE + `</td>
												<td>` + element.SERIE + `</td>
												<td>` + element.RECIBO + `</td>
												<td>` + element.MONTO + `</td>
												<td>` + element.ANULADO + `</td>
											</tr>`;
						});
						
						$('#TablaListadoReimprimir').append(affProdsLines);
						
					}
				},
				error: function(error) {
					//alert("No pudimos reiniciar la sesio");
					console.log('No se pudo ejecutar el requets a getDocs ');
					console.log(error);
					return;
				}
		});
						
					
	
	
});

$(function () {
	$("#dialog").dialog({
		autoOpen: false,
		modal: true,
		buttons: {
			"Validar": function () {
				var formData = new FormData();
				var ClienteCardCodeC = $('#pssSupervisor').val();
				formData.append('meth', 'valSuper');
				formData.append('pss', ClienteCardCodeC);
				//alert(ClienteCardCodeC);
				$.ajax({
						url: 'http://10.238.26.69:8080/SPAGOS2/PHP/?meth=valSuper',
						type: 'POST',
						dataType: "json",
						cache: false,
						contentType: false,
						processData: false,
						data: formData,
						success: function(data) {
							if(data.status == true){
								//alert(data.data[0].VALOR );
								if(data.data[0].VALOR == 'T'){
									
									$('#TablaReImprimir').show();
									$('#TablaPrincipalFacturas').hide();
									$('#saldos').show();
									$('#re-imprmir').hide();
									$('#filtrosRe').show();
									
									$("#TablaListadoReimprimir").empty();
									var formData = new FormData();
									var ClienteCardCodeC = window.localStorage.getItem('customerID');
									formData.append('meth', 'getDocs');
									formData.append('id', ClienteCardCodeC);
									
									$.ajax({
											url: 'http://10.238.26.69:8080/SPAGOS2/PHP/?meth=getDocs',
											type: 'POST',
											dataType: "json",
											cache: false,
											contentType: false,
											processData: false,
											data: formData,
											success: function(data) { 
												console.log('consultando documentos');
												var affProdsLines = '';
												if(data.status == true){
													data.data.forEach(element => {
														console.log(element.FECHA);
														affProdsLines +=`<tr>
																			<td>` + element.FECHA.date.substring(0,10) + `</td>
																			<td>` + element.CODCLIENTE + `</td>
																			<td>` + element.NOMBRE + `</td>
																			<td>` + element.SERIE + `</td>
																			<td>` + element.RECIBO + `</td>
																			<td>` + element.MONTO + `</td>
																			<td>` + element.ANULADO + `</td>
																		</tr>`;
													});
													
													$('#TablaListadoReimprimir').append(affProdsLines);
													
												}
											},
											error: function(error) {
												//alert("No pudimos reiniciar la sesio");
												console.log('No se pudo ejecutar el requets a getDocs ');
												console.log(error);
												return;
											}
									});
								$("#dialog").dialog("close");
							}else{
								alert("La contraseña ingresada no tiene permisos suficientes");
								$("#dialog").dialog("close");
							}
						
						}else{
							alert("Error al validar la contraseña ingresada");
							$("#dialog").dialog("close");
						}
					},
					error: function(error) {
						alert("No pudimos validar la contraseña del supervisor, reintenta mas trade");
						console.log(error);
						$("#dialog").dialog("close");
						return;
					}
				});
			}
		}
	});
});

		

$('#re-imprmir').click(function(){
	
	
	$("#dialog").dialog("option", "width", 400);
	$("#dialog").dialog("option", "height", 190);
	$("#dialog").dialog("open");
	
	
});

$("#TablaReImprimir tbody").mouseleave(function() {
   
 });

$('#TablaReImprimir tbody').on('dblclick', 'tr', function() {
        
    var SaldoCelda = this.cells.item(4).innerText;
	alert('DOCUMENTO A IMPRIMIR SERIE: '+this.cells.item(3).innerText +'-'+ this.cells.item(4).innerText);
	//var docAfectado = this.cells.item(7).innerText + '-' + this.cells.item(8).innerText;
	window.localStorage.setItem('ComporbanteNumTran',this.cells.item(3).innerText +'-'+ this.cells.item(4).innerText);
	var formData = new FormData();
	formData.append('meth', 'getDocsImprimir');
	formData.append('serie', this.cells.item(3).innerText);
	formData.append('numero', this.cells.item(4).innerText);
	formData.append('fecha', this.cells.item(0).innerText);
	$.ajax({
		url: 'http://10.238.26.69:8080/SPAGOS2/PHP/',
		type: 'POST',
		dataType: "json",
		cache: false,
		contentType: false,
		processData: false,
		data: formData,
		success: function(data) {
		
			var cardCode = window.localStorage.getItem('CardCode');
			var desositosValor = 0;
			var nCreditosValor = 0;
			var efectivoValor = 0;

			var TCreditoValor = 0;
			var ChequeValor = 0;

			var VoucherTCPrc = 0;
			var CodTCPrc = 0;
			var NumChequePr = 0;
			
			
			window.localStorage.setItem('montoDepositos', 0);
			window.localStorage.setItem('montoNotasCredito',0);
			window.localStorage.setItem('montoEfectivo',0);
			window.localStorage.setItem('montoChequePagadoInt',0);
			window.localStorage.setItem('montoTarjetaCreditoInt',0);
			window.localStorage.setItem('montoAbonadoComporbante', 0);
			var montoT = 0;
			var tipoC = '';
			var comprobanteTabla = '';
			
			data.data.forEach(element => {
				
				montoT = parseFloat(window.localStorage.getItem('montoAbonadoComporbante')) + parseFloat(element.MONTO);
				window.localStorage.setItem('montoAbonadoComporbante',montoT);
				tipoC = element.TIPOPAGO;
				//alert('click en celda de MONTO '+ parseFloat(element.MONTO) + '\n' + montoT);
				
				if(element.TIPOPAGO === 'EFECTIVO'){
					var montoE = parseFloat(window.localStorage.getItem('montoEfectivo')) + parseFloat(element.MONTO);
					window.localStorage.setItem('montoEfectivo',montoE );
				}
				if(element.TIPOPAGO === 'CHEQUE'){
					var montoCH = parseFloat(window.localStorage.getItem('montoChequePagadoInt')) + parseFloat(element.MONTO);
					window.localStorage.setItem('montoChequePagadoInt',montoCH );
				}
				if(element.TIPOPAGO === 'DEPOSITO'){
					var montoD = parseFloat(window.localStorage.getItem('montoDepositos')) + parseFloat(element.MONTO);
					window.localStorage.setItem('montoDepositos',montoD );
				}
				if(element.TIPOPAGO === 'TARJETA' || element.TIPOPAGO === 'CREDOMATIC'){
					var montoT = parseFloat(window.localStorage.getItem('montoTarjetaCreditoInt'))+ parseFloat(element.MONTO);
					window.localStorage.setItem('montoTarjetaCreditoInt',montoT );
				}
				if(element.TIPOPAGO === 'NOTA DE CREDITO'){
					var montoNC = parseFloat(window.localStorage.getItem('montoNotasCredito')) + parseFloat(element.MONTO);
					window.localStorage.setItem('montoNotasCredito',montoNC );
				}
				
				comprobanteTabla += `<tr> <td colspan="4"; align="center">` + element.NUMSERIE +'-'+ element.NUMFACTURA + `</td>
													<td colspan="2"; align="center">` + parseFloat(element.MONTO).toFixed(2) + `</td>
													<td colspan="4"; align="center">`+ tipoC +`</td> </tr> `;
				
			});
			
 
													
			//window.localStorage.setItem('montoAbonadoComporbante', montoT);
			window.localStorage.setItem('SaldoTotal',parseFloat(window.localStorage.getItem('montoAbonadoComporbante')));
			window.localStorage.setItem('SaldoVencido',0);
			window.localStorage.setItem('documentosPAgados',comprobanteTabla);
			$('#pssSupervisor').val('');
			window.location.href = 'formato2.php';
			window.open(
				'http://10.238.26.69:8080/SPAGOS',
				'_blank' // <- This is what makes it open in a new window.
			);
			
	},
	error: function(error) {
		console.log("Ocurrio un error");
		console.log(JSON.stringify(error));
	},
    });
	
});
// Comprobar si existe una cookie de nombre name
const existsCajero = document.cookie.split(';').some(function(item) {
   return item.trim().indexOf('cajeroPrevio=') == 0;
});

const existsCaja = document.cookie.split(';').some(function(item) {
   return item.trim().indexOf('cajaPrevio=') == 0;
});

$('.login100-form-btn').click(function(){

	$('.spinner-border').show();
	$('.wrap-input100').hide();
	
	var limpiar = window.localStorage.getItem('customerName');
	
	if(limpiar != null  ){
		//alert('Se limpiaron los datos');
		console.log('CLIENTE: '+limpiar);
		var formData = new FormData();
		formData.append('meth', 'clear');

		$.ajax({
			url: 'http://10.238.26.69:8080/SPAGOS2/PHP/',
			type: 'POST',
			dataType: "json",
			cache: false,
			contentType: false,
			processData: false,
			data: formData,
			success: function(data) { 
				console.log("Session reiniciada");
				
				window.localStorage.clear();
			},
			error: function(error) {
				//alert("No pudimos reiniciar la sesio");
				console.log('No pudimos reiniciar la sesion');
				console.log(error);
				return;
			},
		});
	}
    
	var front = $('#front').val();
    var cajero = $('#user').val();
    var cliente = $('#customer').val();
    
	console.log("CAJERO: "+cajero+" CAJA: "+front);

    var formData1 = new FormData();
    formData1.append('meth', 'getLogin');
    formData1.append('cardCode', cliente);
    formData1.append('serie', front);
    formData1.append('codCajero', cajero);
    if(front  == '0' || cajero == '0' || cliente == '' ){
        alert("No olvides llenar todos los campos");
        $('#front').focus();
		$('.spinner-border').hide();
		$('.wrap-input100').show();
        return;
    }
	
		
	document.cookie = "cajaPrevio="+front+"";
	document.cookie = "cajeroPrevio="+cajero+"";
	
	window.localStorage.setItem('cajeroPrevio', cajero);
	window.localStorage.setItem('cajaPrevio', front);
	 
    console.log("Cliente a consultar "+cliente);
    $.ajax({
        url: 'http://10.238.26.69:8080/SPAGOS2/PHP/',
        type: 'POST',
        dataType: "json",
        cache: false,
        contentType: false,
        processData: false,
        data: formData1,
        success: function(data) {
			
            console.log("USUARIO RETORNADO");
            console.log(data);

            window.localStorage.setItem('customerName', data[0].CLIENTE);
            window.localStorage.setItem('agenteVEnta', data[0].AGENTE_DE_VENTAS);
            window.localStorage.setItem('cajeroActual', data[0].CAJERO);
            window.localStorage.setItem('cajaActual', data[0].CAJA);

            var formData = new FormData();
            formData.append('meth', 'getFac');
            formData.append('id', cliente);

            $.ajax({
                url: 'http://10.238.26.69:8080/SPAGOS2/PHP/',
                type: 'POST',
                dataType: "json",
                cache: false,
                contentType: false,
                processData: false,
                data: formData,
                success: function(data) {

                    console.log(data);
                    
                    if(data != 'Error'){
                        
						if(data[0].CardCode == 'NO EXISTE'){
							alert("No existen Documentos pendientes de procesar");
							$('.spinner-border').hide();
							$('.wrap-input100').show();
							return;
						}
                        window.localStorage.setItem('customerID', cliente);
                        
                        var saldoTotal = 0;
                        var saldoTotalVencido = 0;
                        var saldoTotalVencer = 0;
                        var affProdsLines = '';
                        var reg = 0;
                        
                        data.forEach(element => {
                            element.ABONADO = 0;
                            saldoTotal = saldoTotal + parseFloat(element.Saldo);
                            reg = reg + 1;
                            var fecha = element.FechaVencimiento.split('/');
                            var fechaVencimiento = fecha[1]+ "/"+fecha[0]+"/"+fecha[2];
                            var dC = new Date(fechaVencimiento);
                            var d = new Date();
                            var gA = new Date();
                            var color = 'class="lineaFac"';

                            gA.setDate(d.getDate() + 30);
                            console.log( "Fecha Vencimiento : "+ dC);
                            if(dC < d){
                                console.log("Saldo Vencido "+ parseFloat(element.Saldo));
                                saldoTotalVencido = saldoTotalVencido + parseFloat(element.Saldo);
                                color = 'class="lineaFac table-danger"';
                            }

                            if(dC < gA && dC > d){
								
                                console.log("Saldo por vencer "+ parseFloat(element.Saldo));
                                console.log( "Fecha + 44 : "+ gA);
                                console.log( "Fecha vencida : "+ dC);
                                saldoTotalVencer = saldoTotalVencer + parseFloat(element.Saldo);
                            }

                            //console.log(element);
                            affProdsLines += `<tr ` + color + `>
                                                <td>` + element.U_SERIE_FACE + `</td>
                                                <td>` + element.U_NUMERO_DOCUMENTO + `</td>
                                                <td>` + element.TrackNo + `</td>
                                                <td>` + element.Total + `</td>
                                                <td>` + element.Saldo + `</td>
                                                <td id ="DocEntry">` + element.DocEntry + `</td>
                                                <td>` + element.Fecha + `</td>
                                                <td>` + element.FechaVencimiento + `</td>
                                                <td contenteditable class="inputValores" pattern = "^[0-9]+$" id = "` + element.DocEntry + `">` + element.ABONADO + `</td>
                                            </tr>`;
                        });
                        
                       //$('#TablaFacturas').append(affProdsLines);
                       window.localStorage.setItem('tabla', affProdsLines);
                       window.localStorage.setItem('SaldoTotal', saldoTotal.toFixed(2));
                       window.localStorage.setItem('SaldoVencido', saldoTotalVencido.toFixed(2));
                       window.localStorage.setItem('SaldoPorVencer', saldoTotalVencer.toFixed(2));
                       window.localStorage.setItem('NumeroReg', reg);
                       window.localStorage.setItem('CardCode', cliente);
					   window.localStorage.setItem('facturasPendientes', JSON.stringify(data));
                       //$(affProdsLines).insertAfter('#TablaFacturas');
					   
					   if(window.localStorage.getItem('customerName') == null || window.localStorage.getItem('agenteVEnta') == null){
							alert ("No se pudo recuperar los datos del Cliente, Reintentalo mas tarde");
							$('.spinner-border').hide();
							$('.wrap-input100').show();
							//window.location.href = '../index.html';
						}else{
							setTimeout(function() { 
								window.location.href = 'INDEX/facturas.php';
							}, 3000);
						}
						
                       
                        
                    }else{
                        alert("No encontramos ese codigo de cliente");
                        $('#customer').val('');
                        $('#customer').focus();
                    }
                },
                error: function(error) {
                    alert("No pudimos consultar el cliente");
                    console.log(error);
                    console.log('ERROR AL CONSULTAR LAS FACTURAS');
                },
            });
				
        },
        error: function(error) {
            alert("No pudimos consultar el cliente");
            console.log('Error al recuperar los datos del LOGIN');
            console.log(error);
            
        },
    });


    

});



$('#depositos').click(function(){
    //alert("CLIC EN BOTON DE DEPOSITOS");
    var cardCode = window.localStorage.getItem('CardCode');
    var formData = new FormData();
    formData.append('meth', 'getDepos');
    formData.append('cardCode', cardCode);

    var totalDepos = 0;
    var totalSaldo = 0;

    $.ajax({
        url: 'http://10.238.26.69:8080/SPAGOS2/PHP/',
        type: 'POST',
        dataType: "json",
        cache: false,
        contentType: false,
        processData: false,
        data: formData,
        success: function(data) {
            console.log(data);
            deposLines = '';
            if(data != 'Error'){
                dpsMsg("Depositos ","");
                if(data[0].DocEntry > 0 ){
                    window.localStorage.setItem('depos', data);
                    
                    data.forEach(element => {

                        totalDepos += element.Monto;
                        totalSaldo += element.Saldo;

                        deposLines += `<tr>
                                            <td>` + element.Boleta + `</td>
                                            <td>` + element.DocEntry + `</td>
                                            <td>` + element.Monto + `</td>
                                            <td>` + element.Saldo + `</td>
                                        </tr>`;
                    });

                    deposFoot = "";
                    deposFoot += `<tr>
                                            <td colspan="2">Total </td>
                                            <td>` + totalDepos + `</td>
                                            <td>` + totalSaldo + `</td>
                                        </tr>`;

                    $('#deposTabla').append(deposLines);
                    $('#deposFooter').append(deposFoot);
                    $('#loadingTD').hide();
                }else{
                    deposLines += `<tr>
                                    <td colspan="4" id="loadingTD">Sin datos para mostrar</td>
                                </tr>`;
                    $('#deposTabla').append(deposLines);
                    $('#loadingTD').hide();
                }
                
            }

            $('#btnPagarDepos').click(function(){

                console.log("click en boton de pagarDepos");
                
                var valor = $('#inputDepos').val();
                if(valor > 0 && valor <= totalSaldo ){
                    $('#pagar').prop('disabled', false);
                    window.localStorage.setItem('deposValor', parseFloat(valor).toFixed(2));
                    console.log("Se almaceno el valor de depositos a pagar");
                    var valorAc = $('#aPagar').html();
                    console.log("Valor Actual : "+ valorAc);
                    //valorAc = parseFloat(valorAc);
                    var ValorF = parseFloat(valorAc) + parseFloat(valor);
                    console.log("Valor toal a pagar: "+ ValorF);
					
                    CalcularAbonosTabla(ValorF.toFixed(2));
                    $('#aPagar').html(ValorF.toFixed(2));

                    $('#btnCerrarDepos').click();
        
                }else{
                    alert("El valor no puede ser 0 ni mayor a tu saldo disponible");
                    $('#inputDepos').focus();
                    $('#inputDepos').val(0);
                }
                
            });
        },
        error: function(error) {
            alert("NO SE PUDO RECUPERAR LOS DEPOSITOS, INTENTALO MAS TARDE!");
        }
    });


});

$('#nCreditos').click(function(){
    //alert("CLIC EN BOTON DE DEPOSITOS");
    var cardCode = window.localStorage.getItem('CardCode');
    var formData = new FormData();
    formData.append('meth', 'getNCreditos');
    formData.append('cardCode', cardCode);

    var totalDepos = 0;
    var totalSaldo = 0;

    $.ajax({
        url: 'http://10.238.26.69:8080/SPAGOS2/PHP/',
        type: 'POST',
        dataType: "json",
        cache: false,
        contentType: false,
        processData: false,
        data: formData,
        success: function(data) {
            console.log(data);
            deposLines = '';
            
            nCredMsg("Notas de Crédito ","");
            if(data[0].CardCode != 'NO EXISTE' ){
                window.localStorage.setItem('depos', data);
                
                data.forEach(element => {

                    totalDepos += element.Total;
                    totalSaldo += element.Saldo;

                    deposLines += `<tr>
                                        <td>` + element.TrackNo + `</td>
                                        <td>` + element.DocEntry + `</td>
                                        <td>` + element.Total + `</td>
                                        <td>` + element.Saldo + `</td>
                                    </tr>`;
                });

                deposFoot = "";
                deposFoot += `<tr>
                                        <td colspan="2">Total </td>
                                        <td>` + totalDepos + `</td>
                                        <td>` + totalSaldo + `</td>
                                    </tr>`;

                $('#mCredTabla').append(deposLines);
                $('#nCredFooter').append(deposFoot);
                $('#loadingTD2').hide();
            }else{

                deposLines += `<tr>
                                <td colspan="3" id="loadingMS">Sin datos para mostrar</td>
                            </tr>`;
                $('#mCredTabla').append(deposLines);
                $('#loadingTD2').hide();
            }

            $('#btnPagarNcreditos').click(function(){
                console.log("click en boton de pagarNCreditos");
            
                var valor = $('#inputNCredito').val();
                if(valor > 0 && valor <= totalSaldo ){
                    $('#pagar').prop('disabled', false);
                    window.localStorage.setItem('NotasDeCreditoValor', parseFloat(valor).toFixed(2));
                    console.log("Se almaceno el valor de NotasCredito a pagar");
                    $('#pagar').prop('disabled', false);

                    var valorAc = $('#aPagar').html();
                    console.log("Valor Actual : "+ valorAc);
                    //valorAc = parseFloat(valorAc);
                    var ValorF = parseFloat(valorAc) + parseFloat(valor);
                    console.log("Valor total a pagar: "+ ValorF);
                    CalcularAbonosTabla(ValorF.toFixed(2));
                    $('#aPagar').html(ValorF.toFixed(2));

                    $('#btnCerrarNcreditos').click();
        
                }else{
                    alert("El valor no puede ser 0 ni mayor a tu saldo disponible");
                    $('#inputNCredito').focus();
                    $('#inputNCredito').val(0);
                }
            });

            
        },
        error: function(error) {
            alert("NO SE PUDO RECUPERAR LAS NOTAS DE CREDITO, INTENTALO MAS TARDE!");
            console.log(error);

        },
    });
});

$('#efectivo').click(function(){
    //alert("CLIC EN BOTON DE DEPOSITOS");

    efectivoMsg("Efectivo","");
    
    
    $('#btnPagarEfectivo').click(function(){

        var valor = $('#ValorEfectivo').val();
        var valorEntregado = $('#ValorEfectivodado').val();
        var dif = valorEntregado - valor;
        console.log("DEVOLVER el valor de: "+ dif);
        if(valor > 0 ){
            window.localStorage.setItem('efectivoValor', parseFloat(valor).toFixed(2));
            $('#pagar').prop('disabled', false);
            console.log("Se almaceno el valor en efectivo en la memoria");

            
            var valorAc = $('#aPagar').html();

            console.log("Valor Actual : "+ valorAc);
            //valorAc = parseFloat(valorAc);
            var ValorF = parseFloat(valorAc) + parseFloat(valor);
            console.log("Valor toal a pagar: "+ ValorF);
            
            $('#aPagar').html(ValorF.toFixed(2));

            CalcularAbonosTabla(ValorF.toFixed(2));
            if(dif > 0 ){

                $('#cambioP').html(dif.toFixed(2));
            }

        
            $("#btnCerrarEfectivo").click();
        }else{
            alert("El monto debe ser mayor a 0");
            $('#ValorEfectivo').focus();
        }

        


    });
   
});

$('#cheque').click(function(){
    //alert("CLIC EN BOTON DE DEPOSITOS");

    chequeMsg("Cheque","");
    
    
    $('#btnPagarCheque').click(function(){

        var valor = $('#ValorCheque').val();
        var voucherEmitido = $('#VoucherCheque').val();

        if($('#VoucherCheque').val().length > 10){
            alert("El identificador de cheque no puede ser mayor a 10 caracteres");
            $('#VoucherCheque').focus();
            return;
        }

        if(valor > 0 && voucherEmitido > 0){

            window.localStorage.setItem('chequeValorP', parseFloat(valor).toFixed(2));
            window.localStorage.setItem('numChequeAPagar', voucherEmitido);

            $('#pagar').prop('disabled', false);
      
            var valorAc = $('#aPagar').html();

            console.log("Valor Actual : "+ valorAc);
            //valorAc = parseFloat(valorAc);
            var ValorF = parseFloat(valorAc) + parseFloat(valor);
            console.log("Valor toal a pagar: "+ ValorF);
            
            $('#aPagar').html(ValorF.toFixed(2));

            CalcularAbonosTabla(ValorF.toFixed(2));

            $("#btnCerrarCheque").click();

        }else{

            alert("Debes ingresar en numero de cheque y el valor a abonar");
            $('#btnCerrarCheque').focus();
        }

    });
   
});

$('#tarjeta').click(function(){
    //alert("CLIC EN BOTON DE DEPOSITOS");

    TCMsg("Tarjeta","");
    $('#ValorTC').keyup(function(){
		
		var VAct = $('#ValorTC').val();
		var incre = parseFloat(VAct) * 0.05;
		$('#ValorChequeAdicional').val(parseFloat(incre).toFixed(2));
	});
    $('#btnPagarTC').click(function(){

        var valor = $('#ValorTC').val();
        var codTarjeta = $('#CodTCSelected').val();
        var voucherPago = $('#VoucherTC').val();

        if(codTarjeta == 0){
            alert("Selecciona una tarjeta");
            $('#CodTCSelected').focus();
            return;
        }

        if(valor > 0 && voucherPago > 0){

            window.localStorage.setItem('TCValorP', parseFloat(valor).toFixed(2));
            window.localStorage.setItem('voucherTcPagar', voucherPago);
            window.localStorage.setItem('codigoTcPagar', codTarjeta);

            $('#pagar').prop('disabled', false);
      
            var valorAc = $('#aPagar').html();

            console.log("Valor Actual : "+ valorAc);
            //valorAc = parseFloat(valorAc);
            var ValorF = parseFloat(valorAc) + parseFloat(valor);
            console.log("Valor toal a pagar: "+ ValorF);
            ValorF = ValorF.toFixed(2);
			
            $('#aPagar').html(ValorF);

            CalcularAbonosTabla(ValorF);

            $("#btnCerrarTC").click();

        }else{

            alert("Debes ingresar todos los valores");
            $('#btnCerrarTC').focus();
        }

    });
   
});

$('#pagar').click(function(){

    var AbonoFacturasActual = 0;
    var continuar = true;
    $('#TablaFacturas').children('tr').each(function() {
        var saldoFactura = this.cells.item(4).innerText;
        var AbonoCelda = this.cells.item(8).innerText;

        if(parseFloat(AbonoCelda) <= parseFloat(saldoFactura)){
            AbonoFacturasActual += parseFloat(AbonoCelda);
        }else{
            alert(" El abono no puede ser mayor al saldo en la Factura "+ this.cells.item(2).innerText );
            continuar = false;
            return false;
        }
        
    });

    if(!continuar){
        return;
    }

    var cardCode = window.localStorage.getItem('CardCode');
    var desositosValor = 0;
    var nCreditosValor = 0;
    var efectivoValor = 0;

    var TCreditoValor = 0;
    var ChequeValor = 0;

    var VoucherTCPrc = 0;
    var CodTCPrc = 0;
    var NumChequePr = 0;

    desositosValor = window.localStorage.getItem('deposValor');
    nCreditosValor = window.localStorage.getItem('NotasDeCreditoValor');
    efectivoValor = window.localStorage.getItem('efectivoValor');

    TCreditoValor = window.localStorage.getItem('TCValorP');
    ChequeValor = window.localStorage.getItem('chequeValorP');

    VoucherTCPrc = window.localStorage.getItem('voucherTcPagar');
    CodTCPrc = window.localStorage.getItem('codigoTcPagar');

    NumChequePr = window.localStorage.getItem('numChequeAPagar');


    if(desositosValor == null ){
        desositosValor = 0;
    }
    if(nCreditosValor == null ){
        nCreditosValor = 0;
    }
    if(efectivoValor == null ){
        efectivoValor = 0;
    }
    if(TCreditoValor == null ){
        TCreditoValor = 0;
    }

    if(ChequeValor == null ){
        ChequeValor = 0;
    }

    if(VoucherTCPrc == null ){
        VoucherTCPrc = 0;
    }

    if(CodTCPrc == null ){
        CodTCPrc = 0;
    }
    if(NumChequePr == null ){
        NumChequePr = 0;
    }


    console.log("CLIENTE: "+ cardCode);
    console.log("DEPOSITOS: "+ desositosValor);
    console.log("NOTASCREDITO: "+ nCreditosValor);
    console.log("EFECTIVO: "+ efectivoValor);
	console.log("CHEQUE: "+ ChequeValor);
	console.log("TARJETA: "+ TCreditoValor);


	
    // var facturas = JSON.parse(window.localStorage.getItem('facturasPendientes'));
    // $('#btnPagarImprimir').click(function(){
    //     window.location.href ='imprimir.php';
    // });
    var abonadoCliente = 0;
    abonadoCliente = parseFloat(desositosValor)+ parseFloat(nCreditosValor)+parseFloat(efectivoValor)+parseFloat(ChequeValor)+parseFloat(TCreditoValor);

	console.log("ABONADO CLIENTE: "+ abonadoCliente);
	console.log("ABONADO TABLA: "+ AbonoFacturasActual);
	
    if(abonadoCliente.toFixed(2) != AbonoFacturasActual.toFixed(2)){
        var diferenciaAbonado = abonadoCliente-AbonoFacturasActual ;
        alert("El total de abonos en facturas no cuadra con el valor de Abonado, Existe una diferencia de: "+diferenciaAbonado.toFixed(2));
		
    }else{

        pagoMsg('Resumen Pagos','');

        var tablaEnArreglo = GetValoresTabla();
		//tablaEnArreglo = tablaEnArreglo.replace('','');
		//tablaEnArreglo = tablaEnArreglo.replace('','');
        console.log("*********************");
        console.log(tablaEnArreglo);

        var formData = new FormData();
        formData.append('meth', 'setPagos');
        formData.append('carCode', cardCode);

        formData.append('depos', desositosValor);
        formData.append('nCred', nCreditosValor);
        formData.append('efectivoVal', efectivoValor);
        formData.append('Cheque', ChequeValor);
        formData.append('tarjetaC', TCreditoValor);
        formData.append('voucherTCP', VoucherTCPrc);
        formData.append('CodTCreditoPagar', CodTCPrc);
        formData.append('numeroChequeP', NumChequePr);

        formData.append('facturasProcesar', JSON.stringify(tablaEnArreglo));

        var montoAbonado = 0;
        var montoDepositos = 0;
        var montoNotasCredito = 0;
        var montoEfectivoValidado = 0;
        var montoTarjetaCreditoValidado = 0;
        var montoChequeValidado = 0;
        var pagosLines = '';
		var pagosResumen = '';
        var comprobanteTabla = '';

        $.ajax({
            url: 'http://10.238.26.69:8080/SPAGOS2/PHP/',
            type: 'POST',
            dataType: "json",
            cache: false,
            contentType: false,
            processData: false,
            data: formData,
            success: function(data) {
                console.log(data);
                window.localStorage.setItem('documentosPAgados',JSON.stringify(data));

                //console.log(JSON.stringify(facturas));
                if(data.Depositos){
                    data.Depositos.forEach(element => {
						element.forEach(subelement => {
							pagosLines += `<tr>
									<td>` + subelement.FacturaTrack + `</td>
									<td>` + parseFloat(subelement.Abono).toFixed(2) + `</td>
									<td> ` + subelement.FPagoTexto + `</td>
								</tr>`;
							comprobanteTabla += `<tr> <td colspan="4"; align="center">` + subelement.FacturaTrack + `</td>
													<td colspan="2"; align="center">` + parseFloat(subelement.Abono).toFixed(2) + `</td>
													<td colspan="4"; align="center">Deposito</td> </tr> `;
							montoAbonado = montoAbonado + parseFloat(subelement.Abono);
							montoDepositos = montoDepositos + parseFloat(subelement.Abono);
						});
                        
                    });
                    
                }

                if(data.NCred){
                    data.NCred.forEach(element => {
						element.forEach(subelement => {
							pagosLines += `<tr>
									<td>` + subelement.FacturaTrack + `</td>
									<td>` + parseFloat(subelement.Abono).toFixed(2) + `</td>
									<td> ` + subelement.FPagoTexto + `</td>
								</tr>`;
								comprobanteTabla += `<tr> <td colspan="4"; align="center">` + subelement.FacturaTrack + `</td>
													<td colspan="2"; align="center">` + parseFloat(subelement.Abono).toFixed(2) + `</td>
													<td colspan="4"; align="center">Nota Credito</td> </tr> `;
							montoAbonado = montoAbonado + parseFloat(subelement.Abono);
							montoNotasCredito = montoNotasCredito + parseFloat(subelement.Abono);
						});
                        
                    });
                }

                if(data.PEF){
                    data.PEF.forEach(element => {
						element.forEach(subelement => {
							pagosLines += `<tr>
									<td>` + subelement.FacturaTrack + `</td>
									<td>` + parseFloat(subelement.Abono).toFixed(2) + `</td>
									<td> ` + subelement.FPagoTexto + `</td>
								</tr>`;
								comprobanteTabla += `<tr> <td colspan="4"; align="center">` + subelement.FacturaTrack + `</td>
													<td colspan="2"; align="center">` + parseFloat(subelement.Abono).toFixed(2) + `</td>
													<td colspan="4"; align="center">Efectivo</td> </tr> `;
							montoAbonado = montoAbonado +  parseFloat(subelement.Abono);
							montoEfectivoValidado = montoEfectivoValidado + parseFloat(subelement.Abono);
						});
                        
                    });
                }

                if(data.PCH){
                    data.PCH.forEach(element => {
						element.forEach(subelement => {
							pagosLines += `<tr>
									<td>` + subelement.FacturaTrack + `</td>
									<td>` + parseFloat(subelement.Abono).toFixed(2) + `</td>
									<td> ` + subelement.FPagoTexto + `</td>
								</tr>`;
								comprobanteTabla += `<tr> <td colspan="4"; align="center">` + subelement.FacturaTrack + `</td>
													<td colspan="2"; align="center">` + parseFloat(subelement.Abono).toFixed(2) + `</td>
													<td colspan="4"; align="center">Cheque</td> </tr> `;
							montoAbonado =  montoAbonado + parseFloat(subelement.Abono);
							montoChequeValidado = montoChequeValidado + parseFloat(subelement.Abono);
						});
                        
                    });
                }
                
				if(data.PTC){
                    data.PTC.forEach(element => {
						element.forEach(subelement => {
							pagosLines += `<tr>
                                <td>` + subelement.FacturaTrack + `</td>
									<td>` + parseFloat(subelement.Abono).toFixed(2) + `</td>
									<td> ` + subelement.FPagoTexto + `</td>
								</tr>`;
								comprobanteTabla += `<tr> <td colspan="4"; align="center">` + subelement.FacturaTrack + `</td>
													<td colspan="2"; align="center">` + parseFloat(subelement.Abono).toFixed(2) + `</td>
													<td colspan="4"; align="center">Tarjeta</td> </tr> `;
							montoAbonado =  montoAbonado + parseFloat(subelement.Abono);
							montoTarjetaCreditoValidado = montoTarjetaCreditoValidado + parseFloat(subelement.Abono);
						});
                        
                    });
                }
				
				pagosResumen += `<tr>
                                            <td colspan="2">Abonado </td>
                                            <td>` + montoAbonado.toFixed(2) + `</td>
                                        </tr>`;

                if(montoDepositos.toFixed(2) != desositosValor){

                    var diferencia = desositosValor - montoDepositos.toFixed(2);
                    pagosResumen += `<tr>
                                            <td colspan="1">Sin procesar</td>
                                            <td>Deposito</td>
                                            <td>` + diferencia.toFixed(2) + `</td>
                                        </tr>`;
                }

                if(montoNotasCredito.toFixed(2) != nCreditosValor){

                    var diferencia = nCreditosValor - montoNotasCredito.toFixed(2);
                    pagosResumen += `<tr>
                                            <td colspan="1">Sin procesar</td>
                                            <td>Notas deCredito</td>
                                            <td>` + diferencia.toFixed(2) + `</td>
                                        </tr>`;
                }


                if(montoEfectivoValidado.toFixed(2) != efectivoValor){

                    var diferencia = efectivoValor - montoEfectivoValidado.toFixed(2);
                    pagosResumen += `<tr>
                                            <td colspan="1">Sin procesar</td>
                                            <td>Efectivo</td>
                                            <td>` + diferencia.toFixed(2) + `</td>
                                        </tr>`;
                }

                if(montoChequeValidado.toFixed(2) != ChequeValor){

                    var diferencia = ChequeValor - montoChequeValidado.toFixed(2);
                    pagosResumen += `<tr>
                                            <td colspan="1">Sin procesar</td>
                                            <td>Cheque</td>
                                            <td>` + diferencia.toFixed(2) + `</td>
                                        </tr>`;
                }

                if(montoTarjetaCreditoValidado.toFixed(2) != TCreditoValor){

                    var diferencia = TCreditoValor - montoTarjetaCreditoValidado.toFixed(2);
                    pagosResumen += `<tr>
                                            <td colspan="1">Sin procesar</td>
                                            <td>Cheque</td>
                                            <td>` + diferencia.toFixed(2) + `</td>
                                        </tr>`;
                }

            
                
                $('#loadingPagos').hide();
                $('#btnPagarImprimir').prop('disabled', false);
                $('#pagosTabla').append(pagosLines);
                $('#pagosFooter').append(pagosResumen);
				
                window.localStorage.setItem('montoAbonadoComporbante',montoAbonado);
				
                window.localStorage.setItem('montoDepositos',montoDepositos);
                window.localStorage.setItem('montoNotasCredito',montoNotasCredito);
                window.localStorage.setItem('montoEfectivo',montoEfectivoValidado);
                window.localStorage.setItem('montoChequePagadoInt',montoChequeValidado);
                window.localStorage.setItem('montoTarjetaCreditoInt',montoTarjetaCreditoValidado);
                window.localStorage.setItem('documentosPAgados',comprobanteTabla);

                $('#btnPagarImprimir').click(function(){

                    window.location.href = 'formato.php';
                    window.open(
                        'http://10.238.26.69:8080/SPAGOS',
                        '_blank' // <- This is what makes it open in a new window.
                      );

                });

            },
            error: function(error) {
                console.log("Ocurrio un error");
                console.log(error);


            },
        });
    }
});

$(document).ready(function(){

	
	
    var montoAbonadoC = window.localStorage.getItem('montoAbonadoComporbante');
    var montoDepositosC = window.localStorage.getItem('montoDepositos');
    var montoNotasCreditoC = window.localStorage.getItem('montoNotasCredito');
    var montoEfectivoC = window.localStorage.getItem('montoEfectivo');

    var cajaNumero = window.localStorage.getItem('cajaActual');
    var ClienteNombres = window.localStorage.getItem('customerName');
    var ClienteCardCodeC = window.localStorage.getItem('customerID');

    var saldoTotal = window.localStorage.getItem('SaldoTotal');
    var saldoVencido = window.localStorage.getItem('SaldoVencido');

    var SaldoActual = saldoTotal - montoAbonadoC;
    var SaldoVEncidoActal = saldoVencido - montoAbonadoC;
	
	if(SaldoVEncidoActal < 0){
		
		SaldoVEncidoActal = 0;
	}
	
    var NombreDelCajero  =  window.localStorage.getItem('cajeroActual');
    
    var DocAfectados = window.localStorage.getItem('documentosPAgados');

	var affProdsLines =  window.localStorage.getItem('tabla');
    $('#TablaFacturas').append(affProdsLines);


    var saldoTotal = window.localStorage.getItem('SaldoTotal');
    $('#stotal').html( saldoTotal +' GTQ');
    console.log( "Saldo total"+ saldoTotal);

    var saldoVencido = window.localStorage.getItem('SaldoVencido');
    $('#stotalV').html( saldoVencido +' GTQ');
    console.log( "Saldo total vencido "+ saldoVencido);
    
    var saldoPorVencer = window.localStorage.getItem('SaldoPorVencer');
    $('#stotalVR').html( saldoPorVencer +' GTQ');
    console.log( "Saldo total por vencer "+ saldoPorVencer);

    var Reg = window.localStorage.getItem('NumeroReg');
    $('#rtotal').html(Reg);
    console.log( "Saldo total por vencer "+ Reg);


    //var NombreCliente = window.localStorage.getItem('customerName');
    var AgenteNombre = window.localStorage.getItem('agenteVEnta');
	var ComporbanteNumTran = window.localStorage.getItem('ComporbanteNumTran');

    console.log("CLIENTE: "+ClienteNombres);
    console.log("AGENTE VENTA: "+AgenteNombre);
	
    $('#NCllinete').html(ClienteCardCodeC+' - '+ClienteNombres);
    $('#NAjente').html(AgenteNombre);
    //console.log(JSON.stringify(facturas));

    var montoChequeEfectuado = window.localStorage.getItem('montoChequePagadoInt');
    var montoTarjetaEfectuado = window.localStorage.getItem('montoTarjetaCreditoInt');
    

    $('#ComporbanteTabla').append(DocAfectados);
    $('#MontoComprobante').html(parseFloat(montoAbonadoC).toFixed(2));
    $('#ComprobanteCaja').html('RECIBO DE CAJA NO. '+cajaNumero);

    $('#ClienteComprobanteCode').html(ClienteCardCodeC);
    $('#ClienteComprobanteNombre').html(ClienteNombres);

    $('#ComporbanteEfectivo').html(parseFloat(montoEfectivoC).toFixed(2));
    $('#ComporbanteCheque').html(parseFloat(montoChequeEfectuado).toFixed(2));
    $('#ComporbanteTarjeta').html(parseFloat(montoTarjetaEfectuado).toFixed(2));
    $('#ComporbanteDepos').html(parseFloat(montoDepositosC).toFixed(2));
    $('#ComporbanteNotasCred').html(parseFloat(montoNotasCreditoC).toFixed(2));
	
    $('#ComporbanteSaldoT').html('Q'+parseFloat(SaldoActual).toFixed(2));
    $('#ComporbanteSaldoVencido').html('Q'+parseFloat(SaldoVEncidoActal).toFixed(2));
	
    console.log("CAJERO: "+NombreDelCajero);
	
	var fechaHora = new Date();
	var mes = parseInt(fechaHora.getMonth())+1;
	var minutes = parseInt(fechaHora.getMinutes());
	varminutesMostrar = '';
	if(minutes < 10){
		varminutesMostrar = '0'+minutes;
	}else{
		varminutesMostrar = ''+minutes;
	}
	
	var fechaM = fechaHora.getFullYear()+'/'+mes+'/'+fechaHora.getDate()+' '+fechaHora.getHours()+':'+varminutesMostrar;
    $('#ComporbanteCajero').html('-------------------------------------<br>'+NombreDelCajero+' '+fechaM);

    var formDataF = new FormData();
    formDataF.append('meth', 'geDatosComporbante');
	var parteNormal = parseFloat(montoAbonadoC).toFixed(2);
	var parteEntera = Math.trunc(parseFloat(montoAbonadoC).toFixed(2));
	var decimal = (parteNormal - parteEntera)*100;
	decimal = Math.trunc(decimal);
	
    formDataF.append('valorTexto', parteEntera);

    $.ajax({
        url: 'http://10.238.26.69:8080/SPAGOS2/PHP/',
        type: 'POST',
        dataType: "json",
        cache: false,
        contentType: false,
        processData: false,
		timeout: 10000,
        data: formDataF,
        success: function(data) {
			
            $('#FechaComprobante').html('Guatemala, '+data.fecha);
			var montoaMostrarTexto = data.monto.replace(/^\w/, (c) => c.toUpperCase()); 
            $('#MontoTextoComprobante').html(montoaMostrarTexto+' con '+decimal+'/100');
			//$('#MontoTextoComprobante').html('/100');
			if(data.ComporbanteNumTran){
				
				$('#ReciboNum').html(data.ComporbanteNumTran);
			}else{
				
				$('#ReciboNum').html(ComporbanteNumTran);
			}
            
        },
        error: function(error) {
			
            console.log("Ocurrio un error");
            console.log(error);
			alert("Ocurrio un error al intentar recuperar algunos datos, reintentando");
			window.location.reload();

        },
    });

    var formData1 = new FormData();
    formData1.append('meth', 'getSeries');
    seriesLines = '';
    $.ajax({
        url: 'http://10.238.26.69:8080/SPAGOS2/PHP/',
        type: 'POST',
        dataType: "json",
        cache: false,
        contentType: false,
        processData: false,
        data: formData1,
        success: function(data) {
            console.log(data); 
            data.forEach(element=>{
                seriesLines += `<option value="` + element.SERIE + `">` + element.DESCRIPCION + `</option>`;
            });
            $('#front').append(seriesLines);
			//var cajaA = window.localStorage.getItem('cajaPrevio');
			//document.cookie = "cajaPrevio="+front+"";
			//document.cookie = "cajeroPrevio="+cajero+"";
			var cajaA = document.cookie.split('; ').find(row => row.startsWith('cajaPrevio=')).split('=')[1];
			console.log('Tienda Actual es: '+cajaA);
			if(cajaA != null){
				
				$("#front option[value='"+cajaA+"']").attr("selected",true);
			}
        },
        error: function(error) {
            console.log(error);
            alert("NO SE PUDIERON RECUPERAR LAS SERIES");
        }
    });

    var formData2 = new FormData();
    formData2.append('meth', 'getCajeros');
    cajerosLines = '';
    $.ajax({
        url: 'http://10.238.26.69:8080/SPAGOS2/PHP/',
        type: 'POST',
        dataType: "json",
        cache: false,
        contentType: false,
        processData: false,
        data: formData2,
        success: function(data) {
            console.log(data); 
            data.forEach(element=>{
                cajerosLines += `<option value="` + element.CODVENDEDOR + `">` + element.NOMVENDEDOR + `</option>`;
            });
            $('#user').append(cajerosLines);
			//var cajertoS = window.localStorage.getItem('cajeroPrevio');
			var cajertoS = document.cookie.split('; ').find(row => row.startsWith('cajeroPrevio=')).split('=')[1];
			console.log('Cajero actual es: '+cajertoS);
			if(cajertoS != null ){
				//$('#user').val(cajertoS);
				$("#user option[value='"+cajertoS+"']").attr("selected",true);
			}
			
        },
        error: function(error) {
            console.log(error);
            alert("NO SE PUDIERON RECUPERAR LAS SERIES");
        }
    });
	/*$(".lineaFac").click(function(){
		alert("The paragraph was clicked.");
	});*/
	
	$('.inputValores').keyup(function(event) {
		console.log(this);
		var regex = new RegExp("^[0-9]+$");
		var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
		if (!regex.test(key)) {
			event.preventDefault();
			return false;
		}
	});
 });
 

function GetValoresTabla(){

    let atributos = [];
    document.querySelectorAll('#TablaPrincipalFacturas thead th').forEach(elemento => {
    atributos.push(elemento.innerText);
    });
    let datos = [];
    /* Iteramos por cada fila */
    document.querySelectorAll('#TablaPrincipalFacturas tbody tr').forEach(fila => {
    /* Rellenamos los campos con datos vacíos */
    let dato = {};
    atributos.forEach(campo => { dato[campo] = ''; });
    /* Iteramos por cada columna */
    fila.querySelectorAll('td').forEach((elemento, n) => {
        let input = elemento.querySelector('input');
        /* Si tiene un input almacenamos su valor */
        if (input !== null) {
        dato[atributos[n]] = input.checked;
        dato.id = input.id;
        } else {
        dato[atributos[n]] = elemento.innerText;
        }
    });
    datos.push(dato);
    });

    return datos;
}

function CalcularAbonosTabla(abono){

    console.log("Ejecutando calculos de abonos");

    $('#TablaFacturas').children('tr').each(function() {
        console.log("Data");
        var SaldoCelda = this.cells.item(4).innerText;
        if(abono > 0 ){
			
            if(parseFloat(SaldoCelda) > abono){

                console.log("Valor Actual ANTES: "+ this.cells.item(8).innerText);
                console.log("Abonar"+abono);
                //this.cells.item(8).setItem=abono;
                $('#'+this.cells.item(5).innerText).html(parseFloat(abono).toFixed(2));
                abono = 0 ; 
                console.log("Valor Actual: "+ this.cells.item(8).innerText);
                console.log("QUEDAN: "+ abono);
            }else{
                console.log("Valor Actual ANTES: "+ this.cells.item(8).innerText);
                console.log("Abonar: "+ parseFloat(SaldoCelda));
                //this.cells.item(8).val = parseFloat(SaldoCelda);
                $('#'+this.cells.item(5).innerText).html(parseFloat(SaldoCelda).toFixed(2));
                abono = abono - parseFloat(SaldoCelda);
                console.log("Valor Actual: "+ this.cells.item(8).innerText);
                console.log("QUEDAN: "+ abono);
            }

            console.log(this);
        }

        
        

        // where 'x' is the index of the <td> to target
       // var requiredCell = $(this).children('td');
        //var saldo = $(this).children('td');

        //console.log(JSON.stringify(saldo[8]));
        //doStuff( requiredCell );
    
    });
}
/* FUNCION CARGAR MODAL DE DEPOSITOS */
function dpsMsg(title, message) {
    $('body #depositosModal').remove();
    $('body').append('<div class="modal fade" id="depositosModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">'+
    '<div class="modal-dialog modal-dialog-scrollable">'+
    '  <div class="modal-content">'+
    '    <div class="modal-header">'+
    '      <h5 class="modal-title" id="exampleModalLabel">'+title+'</h5>'+
    '    </div>'+
    '    <div class="modal-body">'+
    '       <table class="table table-striped">'+
    '            <thead> '+
    '            <tr> '+
    '                <th scope="col">Boleta</th> '+
    '                <th scope="col">DocEntry</th> '+
    '                <th scope="col">Monto</th> '+
    '                <th scope="col">Saldo</th> '+
    '            </tr> '+
    '            </thead> '+
    '            <tbody id = "deposTabla"> '+
    '                <td colspan="4" id="loadingTD">'+
    '                <div class="d-flex justify-content-center"> '+
    '                    <div class="spinner-border" role="status"> '+
    '                        <span class="visually-hidden">Loading...</span> '+
    '                    </div> '+
    '                </div> '+
    '               </td> '+
    '            </tbody>'+
    '            <tfoot id = "deposFooter">'+
    '            </tfoot>'+
    '        </table>'+
    '    </div>'+
    '    <div class="modal-footer">'+
    '       <div class="input-group mb-3">'+
    '           <input type="number" class="form-control" aria-label="Amount (to the nearest dollar)" placeholder="Valor" id = "inputDepos">'+
    '           <button type="button" class="btn btn-success" id="btnPagarDepos">ABONAR</button>'+
    '           <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" id = "btnCerrarDepos">CERRAR</button>'+
    '       </div>'+
    '    </div>'+
    '  </div>'+
    '</div>'+
  '</div>');
    $('body #depositosModal').modal('show');
}
// MODAL DE BOTON PAGAR
function pagoMsg(title, message) {
    $('body #pagarModal').remove();
    $('body').append('<div class="modal fade" id="pagarModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">'+
    '<div class="modal-dialog modal-dialog-scrollable">'+
    '  <div class="modal-content">'+
    '    <div class="modal-header">'+
    '      <h5 class="modal-title" id="exampleModalLabel">'+title+'</h5>'+
    '    </div>'+
    '    <div class="modal-body">'+
    '       <table class="table table-striped">'+
    '            <thead> '+
    '            <tr> '+
    '                <th scope="col">TrakNum</th> '+
    '                <th scope="col">Abonado</th> '+
    '                <th scope="col">Forma Pago</th> '+
    '            </tr> '+
    '            </thead> '+
    '            <tbody id = "pagosTabla"> '+
    '                <td colspan="3" id="loadingPagos">'+
    '                <div class="d-flex justify-content-center"> '+
    '                    <div class="spinner-border" role="status"> '+
    '                        <span class="visually-hidden">Loading...</span> '+
    '                    </div> '+
    '                </div> '+
    '               </td> '+
    '            </tbody>'+
    '            <tfoot id = "pagosFooter">'+
    '            </tfoot>'+
    '        </table>'+
    '    </div>'+
    '    <div class="modal-footer">'+
    '       <div class="input-group mb-3">'+
    '           <button type="button" class="btn btn-success" id="btnPagarImprimir" disabled>IMPRIMIR</button>'+
    '       </div>'+
    '    </div>'+
    '  </div>'+
    '</div>'+
  '</div>');
    $('body #pagarModal').modal('show');
}
/* FUNCION CARGAR MODAL DE NCREDITOS */
function nCredMsg(title, message) {
    $('body #ncreditosMsg').remove();
    $('body').append('<div class="modal fade" id="ncreditosMsg" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">'+
    '<div class="modal-dialog modal-dialog-scrollable">'+
    '  <div class="modal-content">'+
    '    <div class="modal-header">'+
    '      <h5 class="modal-title" id="exampleModalLabel">'+title+'</h5>'+
    '    </div>'+
    '    <div class="modal-body">'+
    '       <table class="table table-striped">'+
    '            <thead> '+
    '            <tr> '+
    '                <th scope="col">TrackNo</th> '+
    '                <th scope="col">DocEntry</th> '+
    '                <th scope="col">Total</th> '+
    '                <th scope="col">Saldo</th> '+
    '            </tr> '+
    '            </thead> '+
    '            <tbody id = "mCredTabla"> '+
    '                <td colspan="3" id="loadingTD2">'+
    '                <div class="d-flex justify-content-center"> '+
    '                    <div class="spinner-border" role="status"> '+
    '                        <span class="visually-hidden">Loading...</span> '+
    '                    </div> '+
    '                </div> '+
    '               </td> '+
    '            </tbody>'+
    '            <tfoot id = "nCredFooter">'+
    '            </tfoot>'+
    '        </table>'+
    '    </div>'+
    '    <div class="modal-footer">'+
    '       <div class="input-group mb-3">'+
    '           <input type="number" class="form-control" aria-label="Amount (to the nearest dollar)" placeholder="Valor" id="inputNCredito" >'+
    '           <button type="button" class="btn btn-success" id = "btnPagarNcreditos">ABONAR</button>'+
    '           <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" id="btnCerrarNcreditos">CERRAR</button>'+
    '       </div>'+
    '    </div>'+
    '  </div>'+
    '</div>'+
  '</div>');
    $('body #ncreditosMsg').modal('show');
}

/* FUNCION CARGAR PAGO EN EFECTIVO */
function efectivoMsg(title, message) {
    $('body #efectivoMsg').remove();
    $('body').append('<div class="modal fade" id="efectivoMsg" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">'+
    '<div class="modal-dialog modal-dialog-scrollable">'+
    '  <div class="modal-content">'+
    '    <div class="modal-header">'+
    '      <h5 class="modal-title" id="exampleModalLabel">'+title+'</h5>'+
    '    </div>'+
    '    <div class="modal-footer">'+
    '       <div class="input-group mb-3">'+
    '           <input type="number" class="form-control" aria-label="Amount (to the nearest dollar)" placeholder="Entregado" id = "ValorEfectivodado">'+
    '           <input type="number" class="form-control" aria-label="Amount (to the nearest dollar)" placeholder="Abonar" id = "ValorEfectivo">'+
    '           <button type="button" class="btn btn-success" id="btnPagarEfectivo">ABONAR</button>'+
    '           <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" id="btnCerrarEfectivo">CERRAR</button>'+
    '       </div>'+
    '    </div>'+
    '  </div>'+
    '</div>'+
  '</div>');
    $('body #efectivoMsg').modal('show');
}

/* FUNCION CARGAR PAGO EN CHEQUE */
function chequeMsg(title, message) {
    $('body #chuequeMsg').remove();
    $('body').append('<div class="modal fade" id="chuequeMsg" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">'+
    '<div class="modal-dialog modal-dialog-scrollable">'+
    '  <div class="modal-content">'+
    '    <div class="modal-header">'+
    '      <h5 class="modal-title" id="exampleModalLabel">'+title+'</h5>'+
    '    </div>'+
    '    <div class="modal-footer">'+
    '       <div class="input-group mb-3">'+
    '           <input type="number" max = "10" class="form-control"  placeholder="Numero" id = "VoucherCheque">'+
	'           <input type="number" class="form-control"  placeholder="Abonar" id = "ValorCheque">'+
    '           <button type="button" class="btn btn-success" id="btnPagarCheque">ABONAR</button>'+
    '           <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" id="btnCerrarCheque">CERRAR</button>'+
    '       </div>'+
    '    </div>'+
    '  </div>'+
    '</div>'+
  '</div>');
    $('body #chuequeMsg').modal('show');
}

/* FUNCION CARGAR PAGO EN CHEQUE */
function TCMsg(title, message) {
    $('body #TarjetaCreditoMsg').remove();
    $('body').append('<div class="modal fade" id="TarjetaCreditoMsg" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">'+
    '<div class="modal-dialog modal-dialog-scrollable" >'+
    '  <div class="modal-content" style = "width: 90vh;">'+
    '    <div class="modal-header">'+
    '      <h5 class="modal-title" id="exampleModalLabel">'+title+'</h5>'+
    '    </div>'+
    '    <div class="modal-footer">'+
    '       <div class="input-group mb-3">'+
    '           <select class="form-select" aria-label="Tarjeta" id = "CodTCSelected">'+
    '               <option value="0" selected>Tipo tarjeta</option>'+
    '               <option value="1">CREDOMATIC </option>'+
    '               <option value="2">VISA</option>'+
    '               <option value="3">ABASTO BANRURAL</option>'+
    '               <option value="4">ABASTO BI</option>'+
    '            </select>'+
    '           <input type="number" class="form-control"  placeholder="Voucher" id = "VoucherTC">'+
    '           <input type="number" class="form-control"  placeholder="Abonar" id = "ValorTC">'+
	'           <input class="form-control"  placeholder="Adicional" id = "ValorChequeAdicional" disabled >'+
    '           <button type="button" class="btn btn-success" id="btnPagarTC">ABONAR</button>'+
    '           <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" id="btnCerrarTC">CERRAR</button>'+
    '       </div>'+
    '    </div>'+
    '  </div>'+
    '</div>'+
  '</div>');
    $('body #TarjetaCreditoMsg').modal('show');
}

function clearData(){

/* FUNCION PARA PERMITIR SOLO NUMERO*/ 

}


